Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Configure project

  • Loading branch information...
commit 8f0e32bb93273c5924d422da63c767e9a96d17da 1 parent 002ebcf
@michaelbarton authored
View
19 Gemfile
@@ -1,15 +1,12 @@
source "http://rubygems.org"
-# Add dependencies required to use your gem here.
-# Example:
-# gem "activesupport", ">= 2.3.5"
-# Add dependencies to develop your gem here.
-# Include everything needed to run rake, tests, features, etc.
+group :default do
+end
+
group :development do
- gem "rspec", "~> 2.1.0"
- gem "yard", "~> 0.6.0"
- gem "cucumber", ">= 0"
- gem "bundler", "~> 1.0.0"
- gem "jeweler", "~> 1.5.1"
- gem "rcov", ">= 0"
+ gem "bundler", "~> 1.0"
+ gem "jeweler", "~> 1.5"
+ gem "rspec", "~> 2.2"
+ gem "cucumber", "~> 0.9"
+ gem "yard", "~> 0.6"
end
View
8 Rakefile
@@ -15,14 +15,10 @@ Jeweler::Tasks.new do |gem|
gem.name = "scaffolder-annotation-locator"
gem.homepage = "http://github.com/michaelbarton/scaffolder-annotation-locator"
gem.license = "MIT"
- gem.summary = %Q{TODO: one-line summary of your gem}
- gem.description = %Q{TODO: longer description of your gem}
+ gem.summary = %Q{Scaffolder plugin for gene annotations}
+ gem.description = %Q{Locates contig annotations onto the final scaffold sequence}
gem.email = "mail@michaelbarton.me.uk"
gem.authors = ["Michael Barton"]
- # Include your dependencies below. Runtime dependencies are required when using your gem,
- # and development dependencies are only needed for development (ie running rake tasks, tests, etc)
- # gem.add_runtime_dependency 'jabber4r', '> 0.1'
- # gem.add_development_dependency 'rspec', '> 1.2.3'
end
Jeweler::RubygemsDotOrgTasks.new
View
1  VERSION
@@ -0,0 +1 @@
+0.0.0
View
69 scaffolder-annotation-locator.gemspec
@@ -0,0 +1,69 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{scaffolder-annotation-locator}
+ s.version = "0.0.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Michael Barton"]
+ s.date = %q{2010-12-03}
+ s.description = %q{TODO: longer description of your gem}
+ s.email = %q{mail@michaelbarton.me.uk}
+ s.extra_rdoc_files = [
+ "LICENSE.txt",
+ "README.rdoc"
+ ]
+ s.files = [
+ ".document",
+ ".rspec",
+ "Gemfile",
+ "LICENSE.txt",
+ "README.rdoc",
+ "Rakefile",
+ "VERSION",
+ "features/scaffolder-annotation-locator.feature",
+ "features/step_definitions/scaffolder-annotation-locator_steps.rb",
+ "features/support/env.rb",
+ "lib/scaffolder-annotation-locator.rb",
+ "spec/scaffolder-annotation-locator_spec.rb",
+ "spec/spec_helper.rb"
+ ]
+ s.homepage = %q{http://github.com/michaelbarton/scaffolder-annotation-locator}
+ s.licenses = ["MIT"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.3.7}
+ s.summary = %q{TODO: one-line summary of your gem}
+ s.test_files = [
+ "spec/scaffolder-annotation-locator_spec.rb",
+ "spec/spec_helper.rb"
+ ]
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_development_dependency(%q<bundler>, ["~> 1.0"])
+ s.add_development_dependency(%q<jeweler>, ["~> 1.5"])
+ s.add_development_dependency(%q<rspec>, ["~> 2.2"])
+ s.add_development_dependency(%q<cucumber>, ["~> 0.9"])
+ s.add_development_dependency(%q<yard>, ["~> 0.6"])
+ else
+ s.add_dependency(%q<bundler>, ["~> 1.0"])
+ s.add_dependency(%q<jeweler>, ["~> 1.5"])
+ s.add_dependency(%q<rspec>, ["~> 2.2"])
+ s.add_dependency(%q<cucumber>, ["~> 0.9"])
+ s.add_dependency(%q<yard>, ["~> 0.6"])
+ end
+ else
+ s.add_dependency(%q<bundler>, ["~> 1.0"])
+ s.add_dependency(%q<jeweler>, ["~> 1.5"])
+ s.add_dependency(%q<rspec>, ["~> 2.2"])
+ s.add_dependency(%q<cucumber>, ["~> 0.9"])
+ s.add_dependency(%q<yard>, ["~> 0.6"])
+ end
+end
+
Please sign in to comment.
Something went wrong with that request. Please try again.